/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.person.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.person.entity.KontoverbindungConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(KontoverbindungMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class KontoverbindungMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "kontoverbindungMeta";

  @Inject
  private transient Messages messages;

  public KontoverbindungMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBankleitzahlEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_BANKLEITZAHL_EINZAHL;
  }

  public String getBankleitzahlMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_BANKLEITZAHL_MEHRZAHL;
  }


  public String getBankleitzahlEinzahlMessage(){
    return getMessage(getBankleitzahlEinzahlMessageKey());
  }

  public String getBankleitzahlMehrzahlMessage(){
    return getMessage(getBankleitzahlMehrzahlMessageKey());
  }



  public boolean isBankleitzahlRequired() {
    return !KontoverbindungConstants.BANKLEITZAHL_NULLABLE;
  }

  public java.lang.String getBankleitzahlDefaultValue() {
    return KontoverbindungConstants.BANKLEITZAHL_DEFAULT_VALUE;
  }

  public int getBankleitzahlMaxLength() {
    return KontoverbindungConstants.BANKLEITZAHL_MAX_LENGTH;
  }

  public String getBicEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_BIC_EINZAHL;
  }

  public String getBicMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_BIC_MEHRZAHL;
  }


  public String getBicEinzahlMessage(){
    return getMessage(getBicEinzahlMessageKey());
  }

  public String getBicMehrzahlMessage(){
    return getMessage(getBicMehrzahlMessageKey());
  }



  public boolean isBicRequired() {
    return !KontoverbindungConstants.BIC_NULLABLE;
  }

  public java.lang.String getBicDefaultValue() {
    return KontoverbindungConstants.BIC_DEFAULT_VALUE;
  }

  public int getBicMaxLength() {
    return KontoverbindungConstants.BIC_MAX_LENGTH;
  }

  public String getIbanEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_IBAN_EINZAHL;
  }

  public String getIbanMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_IBAN_MEHRZAHL;
  }


  public String getIbanEinzahlMessage(){
    return getMessage(getIbanEinzahlMessageKey());
  }

  public String getIbanMehrzahlMessage(){
    return getMessage(getIbanMehrzahlMessageKey());
  }



  public boolean isIbanRequired() {
    return !KontoverbindungConstants.IBAN_NULLABLE;
  }

  public java.lang.String getIbanDefaultValue() {
    return KontoverbindungConstants.IBAN_DEFAULT_VALUE;
  }

  public int getIbanMaxLength() {
    return KontoverbindungConstants.IBAN_MAX_LENGTH;
  }

  public String getIbanBearbeiterEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_IBAN_BEARBEITER_EINZAHL;
  }

  public String getIbanBearbeiterMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_IBAN_BEARBEITER_MEHRZAHL;
  }


  public String getIbanBearbeiterEinzahlMessage(){
    return getMessage(getIbanBearbeiterEinzahlMessageKey());
  }

  public String getIbanBearbeiterMehrzahlMessage(){
    return getMessage(getIbanBearbeiterMehrzahlMessageKey());
  }



  public boolean isIbanBearbeiterRequired() {
    return !KontoverbindungConstants.IBAN_BEARBEITER_NULLABLE;
  }

  public java.lang.String getIbanBearbeiterDefaultValue() {
    return KontoverbindungConstants.IBAN_BEARBEITER_DEFAULT_VALUE;
  }

  public int getIbanBearbeiterMaxLength() {
    return KontoverbindungConstants.IBAN_BEARBEITER_MAX_LENGTH;
  }

  public String getIbanVorAenderungEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_IBAN_ZU_BESTAETIGEN_EINZAHL;
  }

  public String getIbanVorAenderungMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_IBAN_ZU_BESTAETIGEN_MEHRZAHL;
  }


  public String getIbanVorAenderungEinzahlMessage(){
    return getMessage(getIbanVorAenderungEinzahlMessageKey());
  }

  public String getIbanVorAenderungMehrzahlMessage(){
    return getMessage(getIbanVorAenderungMehrzahlMessageKey());
  }



  public boolean isIbanVorAenderungRequired() {
    return !KontoverbindungConstants.IBAN_ZU_BESTAETIGEN_NULLABLE;
  }

  public java.lang.String getIbanVorAenderungDefaultValue() {
    return KontoverbindungConstants.IBAN_ZU_BESTAETIGEN_DEFAULT_VALUE;
  }

  public int getIbanVorAenderungMaxLength() {
    return KontoverbindungConstants.IBAN_ZU_BESTAETIGEN_MAX_LENGTH;
  }

  public String getKontoinhaberEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_KONTOINHABER_EINZAHL;
  }

  public String getKontoinhaberMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_KONTOINHABER_MEHRZAHL;
  }


  public String getKontoinhaberEinzahlMessage(){
    return getMessage(getKontoinhaberEinzahlMessageKey());
  }

  public String getKontoinhaberMehrzahlMessage(){
    return getMessage(getKontoinhaberMehrzahlMessageKey());
  }



  public boolean isKontoinhaberRequired() {
    return !KontoverbindungConstants.KONTOINHABER_NULLABLE;
  }

  public java.lang.String getKontoinhaberDefaultValue() {
    return KontoverbindungConstants.KONTOINHABER_DEFAULT_VALUE;
  }

  public int getKontoinhaberMaxLength() {
    return KontoverbindungConstants.KONTOINHABER_MAX_LENGTH;
  }

  public String getKontonummerEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_KONTONUMMER_EINZAHL;
  }

  public String getKontonummerMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_KONTONUMMER_MEHRZAHL;
  }


  public String getKontonummerEinzahlMessage(){
    return getMessage(getKontonummerEinzahlMessageKey());
  }

  public String getKontonummerMehrzahlMessage(){
    return getMessage(getKontonummerMehrzahlMessageKey());
  }



  public boolean isKontonummerRequired() {
    return !KontoverbindungConstants.KONTONUMMER_NULLABLE;
  }

  public java.lang.String getKontonummerDefaultValue() {
    return KontoverbindungConstants.KONTONUMMER_DEFAULT_VALUE;
  }

  public int getKontonummerMaxLength() {
    return KontoverbindungConstants.KONTONUMMER_MAX_LENGTH;
  }

  public String getKreditinstitutEinzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_KREDITINSTITUT_EINZAHL;
  }

  public String getKreditinstitutMehrzahlMessageKey(){
    return KontoverbindungConstants.MESSAGE_KEY_KREDITINSTITUT_MEHRZAHL;
  }


  public String getKreditinstitutEinzahlMessage(){
    return getMessage(getKreditinstitutEinzahlMessageKey());
  }

  public String getKreditinstitutMehrzahlMessage(){
    return getMessage(getKreditinstitutMehrzahlMessageKey());
  }



  public boolean isKreditinstitutRequired() {
    return !KontoverbindungConstants.KREDITINSTITUT_NULLABLE;
  }

  public java.lang.String getKreditinstitutDefaultValue() {
    return KontoverbindungConstants.KREDITINSTITUT_DEFAULT_VALUE;
  }

  public int getKreditinstitutMaxLength() {
    return KontoverbindungConstants.KREDITINSTITUT_MAX_LENGTH;
  }

}